PROMETHEUS-PGBOUNCER-EXPORTER(1)

NAME
prometheus-pgbouncer-exporter - Export metrics from pgbouncer to Prometheus

DESCRIPTION
usage: prometheus-pgbouncer-exporter [-h] [--version] [-c CONFIG] [--port PORT] [--host HOST] [--pgbouncer-port PGBOUNCER_PORT] [--pgbouncer-user PGBOUNCER_USER] [--pgbouncer-host PGBOUNCER_HOST] [--database DATABASE] [--licence-location LICENCE_LOCATION]

Args that start with '--' (eg. --version) can also be set in a config file (specified via -c). Config file syntax allows: key=value, flag=true, stuff=[a,b,c] (for details, see syntax at https://goo.gl/R74nmi). If an arg is specified in more than one place, then commandline values override environment variables which override config file values which override defaults.

  optional arguments:

-h, --help
    show this help message and exit

--version
    Show the version

-c CONFIG, --config CONFIG
    config file path [env var: CONFIG]

--port PORT
    Port on which to expose metrics [env var: PORT]

--host HOST
    Host on which to expose metrics [env var: HOST]

--pgbouncer-port PGBOUNCER_PORT
    Port to connect to pgbouncer [env var: PGBOUNCER_PORT]

--pgbouncer-user PGBOUNCER_USER
    User to connect to pgbouncer with [env var: PGBOUNCER_USER]

--pgbouncer-host PGBOUNCER_HOST
    Host on which to connect to pgbouncer [env var: PGBOUNCER_HOST]

--database DATABASE
    Databases to report metrics for, if this is not specified, all metrics will be reported [env var: PGBOUNCER_DATABASES]

--licence-location LICENCE_LOCATION
    The location of the licence, linked to through the web interface [env var: LICENCE_LOCATION]